Notes de mise à jour de Moodle 1.9.9

Attention : vous consultez actuellement la documentation dédiée aux versions 1.x de Moodle. La documentation pour les versions 2.x de Moodle est consultable ici : Notes de mise à jour de Moodle 1.9.9 et celle pour Moodle 3.x est consultable là : Notes de mise à jour de Moodle 1.9.9.

Remarque : la traduction de cet article n'est pas terminée. N'hésitez pas à traduire tout ou partie de cette page ou à la compléter. Vous pouvez aussi utiliser la page de discussion pour vos recommandations et suggestions d'améliorations.


Date de sortie : 8 juin 2010

Consulter la liste des détails sur les évolutions et corrections de bogues de cette version 1.9.9 (en anglais).

Principales corrections

  • MDL-21218 New gradebook course setting 'Hide totals if they contain hidden items' for controlling whether totals containing hidden grade items are shown to students
  • Corrections de divers bogues

Sécurité

Certaines de ces vulnérabilités sont potentiellement dangereuses, et nous vous recommandons donc de faire la mise à jour.

  • MSA-10-0010 Persistent Cross Site Scripting vulnerability in the MNET access control interface
  • MSA-10-0011 Cross Site Scripting vulnerability in blog/index.php
  • MSA-10-0012 KSES Security Filter Bypassing vulnerability
  • MSA-10-0013 Potential Cross Site Scripting vulnerability in Quiz reports

Voir aussi